- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Vst::CVstExceptionHandler Class Reference

List of all members.

## Detailed Description

Handles exceptions inside a VSt, and prints / saves certain handy information.

Date:
  02/07/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.0.1 Added FPU system information

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk Please note that VST is copyright Steinberg Media GmBh. No challenge is made to any of their trademarks To use this file, you require a copy of the VST SDK, available from www.steinberg.net for free

Id
  CVstExceptionHandler.hpp,v 1.4 2007/02/08 21:08:23 paul Exp

Definition at line 42 of file CVstExceptionHandler.hpp.

## Static Public Member Functions

- static void handleException (CException exception, const CHostCanDo &canDo, const CSystemString &path)
- static void preVstExceptionHandler (CException exception, const CSystemString &path)

## Member Function Documentation

static void Exponent::Vst::CVstExceptionHandler::handleException | ( | CException | exception,
|  | const CHostCanDo & | canDo,
|  | const CSystemString & | path |
| ) |  |  | `[static]`

Handle the exception

Parameters:

  | exception | THe exception you recieved
  | canDo | What is the host information
  | path | The path to write a log file to

static void Exponent::Vst::CVstExceptionHandler::preVstExceptionHandler | ( | CException | exception,
|  | const CSystemString & | path |
| ) |  |  | `[static]`

Handle the exception without VSt information

Parameters:

  | exception | THe exception you recieved
  | path | The path to write a log file to